Subject: VC changes under-documented, needlessly incompatible

From: Glenn Morris <[email-masked]>
Date: Fri, 09 Jan 2015 12:41:16 -0500

Package: emacs
Version: 25.0.50

There have been extensive changes to VC in master, but there is zero
mention of any of it in NEWS. Normally one lists every changed
user-option and non-internal function.

Also, the changes are more incompatible than they need to be.
For example, in Emacs 24.4 there is a user option vc-cvs-stay-local.
In master, it was deleted in favour of vc-stay-local.
Use of define-obsolete-variable-alias would ease the transition.
Probably there are other such cases, as well as cases where setting
advertised-calling-convention rather than simply deleting function
arguments would help.